;	Parameters: character_height=7 positioning_height=1 wave_steps=360 amplitude=152 n=12 collisions=0 player_frames=30 player_frames_size=9660 bytes
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../../SV2K17.asm
;
	.proc frame_10

sprite_09_p0	;Line 1, P0 positioning character 9, P1 off
	m_lda_xpos_char 0 9
	mx_set_hpos p0
	sta wsync;1/1
	ldx #9*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0.with_sync

sprite_08_p1	;Line 4, P0 drawing character 9 line 2, P1 positioning character 8
	m_lda_xpos_char 1 8
	ldx char_tab+9*char_height+2
	mx_set_hpos p1 grp0
	ldx #9*char_height+3
	ldy #8*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r3;Repeated
	jsr object.store_grp1_r3;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_10_p0	;Line 17, P0 positioning character 10, P1 off
	m_lda_xpos_char 0 10
	mx_set_hpos p0
	jsr wait_wsync.r4
	ldx #10*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_07_p1	;Line 26, P0 off, P1 positioning character 7
	m_lda_xpos_char 1 7
	mx_set_hpos p1
	ldy #7*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_11_p0	;Line 49, P0 positioning character 11, P1 off
	m_lda_xpos_char 0 11
	mx_set_hpos p0
	jsr wait_wsync.r14
	ldx #11*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_06_p1	;Line 61, P0 off, P1 positioning character 6
	m_lda_xpos_char 1 6
	mx_set_hpos p1
	jsr wait_wsync.r3
	ldy #6*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_00_p0	;Line 88, P0 positioning character 0, P1 off
	m_lda_xpos_char 0 0
	mx_set_hpos p0
	jsr wait_wsync.r16
	jsr wait_wsync.r2
	ldx #0*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_05_p1	;Line 100, P0 off, P1 positioning character 5
	m_lda_xpos_char 1 5
	mx_set_hpos p1
	jsr wait_wsync.r3
	ldy #5*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_01_p0	;Line 123, P0 positioning character 1, P1 off
	m_lda_xpos_char 0 1
	mx_set_hpos p0
	jsr wait_wsync.r14
	ldx #1*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_04_p1	;Line 132, P0 off, P1 positioning character 4
	m_lda_xpos_char 1 4
	mx_set_hpos p1
	ldy #4*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_02_p0	;Line 145, P0 positioning character 2, P1 off
	m_lda_xpos_char 0 2
	mx_set_hpos p0
	jsr wait_wsync.r4
	ldx #2*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0.with_sync

sprite_03_p1	;Line 148, P0 drawing character 2 line 2, P1 positioning character 3
	m_lda_xpos_char 1 3
	ldx char_tab+2*char_height+2
	mx_set_hpos p1 grp0
	ldx #2*char_height+3
	ldy #3*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r3;Repeated
	jsr object.store_grp1_r3;Repeated
	jsr object.clear_grp0_grp1.with_sync
	jsr wait_wsync.r4
	m_end_frame
	.endp
	m_info frame_10

