;	>>> SV2K17 Invitro-Rink by JAC! <<<
;
;	Created for Sillyventure 2017 in Gdansk.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../SV2K17.asm

	.proc init

	ldx #[.len kernel_zp]
copy_loop
	mva kernel_zp_rom-1,x kernel_zp-1,x
	dex
	bne copy_loop
	stx fade_line_cnt		;First logical line
	stx fade_line_offset		;First screen line
	inx
	stx fade_last_pat_index_c0	;First sync to pattern
next_fade_line
	ldx fade_line_cnt
	mva fade_line_heights,x fade_line_height
	mva #0 fade_line_fade
	rts

	.local fade_line_heights
	.byte 18-1,13,26,16,28,13,14,25
	.endl

	.endp				;End of init

	m_info init
;===============================================================

kernel_zp_rom

	.proc kernel_zp,kernel_zp_ram

sprites		= bank1.effect.rink.picture.sprites
colors		= bank1.effect.rink.picture.colors

sprite1		= sprites+picture_height*0
sprite2		= sprites+picture_height*1
sprite3		= sprites+picture_height*2
sprite4		= sprites+picture_height*3
sprite5		= sprites+picture_height*4
sprite6		= sprites+picture_height*5

loop_count = *+1
	ldx #$00
sprite_offset1 = *+1
	lda sprite1,x
	sta grp0
	sta wsync
sprite_offset2 = *+1
	lda sprite2,x
	sta grp1
colors_address = *+1
	lda colors,x
	sta colupf+$2000		;Force 1 addtional cycle
sprite_offset3 = *+1
	lda sprite3,x
	sta grp0
sprite_offset4 = *+1
	lda sprite4,x
	sta sprite4_temp
sprite_offset5 = *+1
	ldy sprite5,x
sprite_offset6 = *+1
	lda sprite6,x
	tax
sprite4_temp = *+1
	lda #$ff
	sta grp1
	sty grp0
	stx grp1
	stx grp0

	dec loop_count
	bne kernel_zp
	rts
	.endp
	
	m_info kernel_zp
