;	>>> SV2K17 Invitro-Rink by JAC! <<<
;
;	Created for Sillyventure 2017 in Gdansk.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../SV2K17.asm

	.proc playfield

	ldx #0
	stx wsync
	stx colubk
	stx colup0
	stx colup1

	stx pf0
	stx pf1
	stx pf2

	inx				;<X>=1
	stx ctrlpf			;REF, no PF priority
	stx vdelp0
	stx vdelp1

	ldx #object.p0
	lda #rink_xpos
	jsr object.set_hpos
	ldx #object.p1
	lda #rink_xpos+8
	jsr object.set_hpos
	jsr object.move_hpos

	lda #$03			;3 copies, close
	sta nusiz0
	sta nusiz1

	sta wsync
	lda #$fc			;Setup border mask
	sta pf2


	.use bank3.effect.rink
	mwa colors_ptr kernel_zp.colors_address

	lda #frame_height
	sec
	sbc fade_line_offset
	sta kernel_zp.sprite_offset1
	sta kernel_zp.sprite_offset2
	sta kernel_zp.sprite_offset3
	sta kernel_zp.sprite_offset4
	sta kernel_zp.sprite_offset5
	sta kernel_zp.sprite_offset6
	clc
	adc colors_ptr
	sta bank3.effect.rink.kernel_zp.colors_address

	mwa #bank1.effect.rink.playfield_continued animate_ptr
	jmp common.call_animate
	.endp