;	Parameters: character_height=7 positioning_height=1 wave_steps=360 amplitude=152 n=12 collisions=0 player_frames=30 player_frames_size=9660 bytes
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../../SV2K17.asm
;
	.proc frame_16

sprite_08_p0	;Line 0, P0 positioning character 8, P1 off
	m_lda_xpos_char 0 8
	mx_set_hpos p0
	jsr object.wait_and_hmclr

sprite_09_p1	;Line 2, P0 off, P1 positioning character 9
	m_lda_xpos_char 1 9
	mx_set_hpos p1
	ldx #8*char_height+0
	ldy #9*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_07_p0	;Line 20, P0 positioning character 7, P1 off
	m_lda_xpos_char 0 7
	mx_set_hpos p0
	jsr wait_wsync.r9
	jsr object.wait_and_hmclr

sprite_10_p1	;Line 22, P0 drawing character 7 line 0, P1 positioning character 10
	m_lda_xpos_char 1 10
	ldx char_tab+7*char_height+0
	mx_set_hpos p1 grp0
	ldx #7*char_height+1
	ldy #10*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r5;Repeated
	jsr object.store_grp1.with_sync
	jsr object.clear_grp0_grp1.with_sync

sprite_06_p0	;Line 54, P0 positioning character 6, P1 off
	m_lda_xpos_char 0 6
	mx_set_hpos p0
	jsr wait_wsync.r16
	jsr wait_wsync.r7
	ldx #6*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr

sprite_11_p1	;Line 56, P0 drawing character 6 line 1, P1 positioning character 11
	m_lda_xpos_char 1 11
	ldx char_tab+6*char_height+1
	mx_set_hpos p1 grp0
	ldx #6*char_height+2
	ldy #11*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r4;Repeated
	jsr object.store_grp1_r2;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_05_p0	;Line 93, P0 positioning character 5, P1 off
	m_lda_xpos_char 0 5
	mx_set_hpos p0
	jsr wait_wsync.r16
	jsr wait_wsync.r12
	ldx #5*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr

sprite_00_p1	;Line 95, P0 drawing character 5 line 1, P1 positioning character 0
	m_lda_xpos_char 1 0
	ldx char_tab+5*char_height+1
	mx_set_hpos p1 grp0
	ldx #5*char_height+2
	ldy #0*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r4;Repeated
	jsr object.store_grp1_r2;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_04_p0	;Line 126, P0 positioning character 4, P1 off
	m_lda_xpos_char 0 4
	mx_set_hpos p0
	jsr wait_wsync.r16
	jsr wait_wsync.r6
	jsr object.wait_and_hmclr

sprite_01_p1	;Line 128, P0 drawing character 4 line 0, P1 positioning character 1
	m_lda_xpos_char 1 1
	ldx char_tab+4*char_height+0
	mx_set_hpos p1 grp0
	ldx #4*char_height+1
	ldy #1*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r5;Repeated
	jsr object.store_grp1.with_sync
	jsr object.clear_grp0_grp1.with_sync

sprite_02_p0	;Line 145, P0 positioning character 2, P1 off
	m_lda_xpos_char 0 2
	mx_set_hpos p0
	jsr wait_wsync.r8
	jsr object.wait_and_hmclr

sprite_03_p1	;Line 147, P0 off, P1 positioning character 3
	m_lda_xpos_char 1 3
	mx_set_hpos p1
	ldx #2*char_height+0
	ldy #3*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync
	jsr wait_wsync.r5
	m_end_frame
	.endp
	m_info frame_16

