;	Parameters: character_height=7 positioning_height=1 wave_steps=360 amplitude=152 n=12 collisions=0 player_frames=30 player_frames_size=9660 bytes
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../../SV2K17.asm
;
	.proc frame_27

sprite_08_p0	;Line 0, P0 positioning character 8, P1 off
	m_lda_xpos_char 0 8
	mx_set_hpos p0
	ldx #8*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0_r6;Repeated

sprite_09_p1	;Line 8, P0 clearing, P1 positioning character 9
	m_lda_xpos_char 1 9
	ldx #0
	mx_set_hpos p1 grp0
	ldy #9*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r2;Repeated

sprite_07_p0	;Line 12, P0 positioning character 7, P1 drawing character 9 line 3
	m_lda_xpos_char 0 7
	ldx char_tab+9*char_height+3
	mx_set_hpos p0 grp1
	ldx #7*char_height+0
	ldy #9*char_height+4
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r2;Repeated
	jsr object.store_grp0_r4;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_10_p1	;Line 34, P0 off, P1 positioning character 10
	m_lda_xpos_char 1 10
	mx_set_hpos p1
	jsr wait_wsync.r13
	ldy #10*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r4;Repeated

sprite_06_p0	;Line 40, P0 positioning character 6, P1 drawing character 10 line 5
	m_lda_xpos_char 0 6
	ldx char_tab+10*char_height+5
	mx_set_hpos p0 grp1
	ldx #6*char_height+0
	ldy #10*char_height+6
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_11_p1	;Line 71, P0 off, P1 positioning character 11
	m_lda_xpos_char 1 11
	mx_set_hpos p1
	jsr wait_wsync.r16
	jsr wait_wsync.r6
	ldy #11*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r5;Repeated

sprite_05_p0	;Line 78, P0 positioning character 5, P1 drawing character 11 line 6
	m_lda_xpos_char 0 5
	ldx char_tab+11*char_height+6
	mx_set_hpos p0 grp1
	ldx #5*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_00_p1	;Line 109, P0 off, P1 positioning character 0
	m_lda_xpos_char 1 0
	mx_set_hpos p1
	jsr wait_wsync.r16
	jsr wait_wsync.r6
	ldy #0*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r4;Repeated

sprite_04_p0	;Line 115, P0 positioning character 4, P1 drawing character 0 line 5
	m_lda_xpos_char 0 4
	ldx char_tab+0*char_height+5
	mx_set_hpos p0 grp1
	ldx #4*char_height+0
	ldy #0*char_height+6
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_01_p1	;Line 137, P0 off, P1 positioning character 1
	m_lda_xpos_char 1 1
	mx_set_hpos p1
	jsr wait_wsync.r13
	ldy #1*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r2;Repeated

sprite_03_p0	;Line 141, P0 positioning character 3, P1 drawing character 1 line 3
	m_lda_xpos_char 0 3
	ldx char_tab+1*char_height+3
	mx_set_hpos p0 grp1
	ldx #3*char_height+0
	ldy #1*char_height+4
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r2;Repeated
	jsr object.store_grp0_r4;Repeated

sprite_02_p1	;Line 149, P0 clearing, P1 positioning character 2
	m_lda_xpos_char 1 2
	ldx #0
	mx_set_hpos p1 grp0
	ldy #2*char_height+0
	jsr object.store_grp1.without_sync
	sta hmclr
	jsr object.store_grp1_r6;Repeated
	jsr object.clear_grp0_grp1.with_sync
	jsr wait_wsync.r3
	m_end_frame
	.endp
	m_info frame_27

